---
title: "Why I left Artix for Void Linux"
date: 2024-01-05T21:46:58-05:00
topics: ['Artix', 'Void Linux', 'Linux', 'Opinions']
---

This is going to be primarily opinion based post but I want to talk about a shakeup that has happened. 
I have uninstalled Artix from all of my computers and have instead swapped them to Void Linux.
This is the first time I have changed Linux distros in about 3/4 years and was done with a heavy heart as having to setup a new system is always a pain. 
Regardless I have been using void linux for about 2-3 months and I am finding it a much better experience than Artix, and I want to discuss the reasons why below.

## Problems with Artix

The biggest reason for me leaving Artix was an issue of stability/compatibility. 
I have a [previous post](/posts/valgrind-artix-linux/) describing one issue that I ran into regarding incompatibility between the Artix debuginfod server and their shipped glibc version. 
In general, after 2/3 years Artix gives me the impression of simply a patched version of Arch linux to remove systemd instead of it's own OS. 
Package compatibility sometimes has issues when Arch linux core repositories move slightly ahead of Artix linux core repositories.
For the most part, Artix Linux ran very well but towards the end of my time with it I found significant accumulated debt on my system with mixtures of Artix and Arch packages which lead to annoying configuration problems that took way too much time to fix.
After being unsuccessful in addressing some issues and with fresh installs for some reason having issues on my systems, I decided I need to figure out something new.

## Void Linux saves the day

This is when Void Linux came in to save the day. 
I find that void offers a few benefits over Artix Linux:

- **Stability**- VoidLinux in my experience has been much more stable over updates than either Artix or Arch.
- **Vision** - Not sure if vision is the right word, but void linux is an independent OS not forked from any other. As a result the OS feels more cohesive as it doesn't have to deal with conflicting visions.
- **Package Manger** -  XBPS is an extremely fast and easy to use package manager.
- **Init System** - runit was my preferred init system on Artix, and finding an OS which defaults to runit is a positive indication for me.

The obvious issues with void are:

- No AUR 
- Less documentation, arch linux guide works most but not all of the times

I've found that in practice, I do not significantly miss the AUR as any software I need is packaged in the void repositories.
For the very rare cases that the software I need is not packaged, I can just clone the software repo and build/install from source.
The documentation factor is a little bit of a bigger deal.
There have been a few cases where I've spent far too much time trying to address some seemingly basic configuration because of lack of documentation.
This doesn't bother me as much as the issues I had with Artix as the time I spent is learning how to use Void Linux, familiarity with your tools, as opposed to trying to bandage broken systems.
If you install a desktop environment such as KDE or Gnome, you probably won't run into this issue as much as I did.

## Overall I find that the following meme captures my current feelings pretty well:

{{< img src="/img/friendship_meme.webp" width="100%"  max-width="500px" >}}

**Hopefully this is helpful to someone else as I personally have not regretted my switch for a moment.**

